org.apache.lucene.document

## Class ShapeField.Triangle

- java.lang.Object
- - org.apache.lucene.document.Field
  - - org.apache.lucene.document.ShapeField.Triangle

All Implemented Interfaces:
  IndexableField

Enclosing class:
  ShapeField

    public static class ShapeField.Triangle
    extends Field

polygons are decomposed into tessellated triangles using `Tessellator` these triangles are encoded and inserted as separate indexed POINT fields

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.document.Field

`Field.Store`

### Field Summary

### Fields inherited from class org.apache.lucene.document.Field

`fieldsData, name, tokenStream, type`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `setTriangleValue(int aX, int aY, boolean abFromShape, int bX, int bY, boolean bcFromShape, int cX, int cY, boolean caFromShape)` sets the vertices of the triangle as integer encoded values

### Methods inherited from class org.apache.lucene.document.Field

`binaryValue, fieldType, getCharSequenceValue, name, numericValue, readerValue, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setStringValue, setTokenStream, stringValue, tokenStream, tokenStreamValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### setTriangleValue

    protected void setTriangleValue(int aX,
                                    int aY,
                                    boolean abFromShape,
                                    int bX,
                                    int bY,
                                    boolean bcFromShape,
                                    int cX,
                                    int cY,
                                    boolean caFromShape)

sets the vertices of the triangle as integer encoded values